| Qore DbDataProvider Module Reference 2.2

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
DbDataProvider::DbExecSqlDataProvider Class Reference

DB exec data provider. More...

`#include <DbExecSqlDataProvider.qc.dox.h>`

Inheritance diagram for DbDataProvider::DbExecSqlDataProvider:
[legend]

## Public Member Functions
| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (AbstractDatabase db, *LoggerInterface logger)
| creates the object
| constructor (AbstractDatasource ds, *hash< auto > opts)
| creates the object
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
Public Member Functions inherited from DbDataProvider::DbDataProviderBase
| beginTransaction ()
| Begins a transaction in the datasource.
| commit ()
| Commits any transaction in progress in the datasource.
| constructor (*LoggerInterface logger)
| Creates the object with the given logger.
| constructor (AbstractDatabase db, *LoggerInterface logger)
| creates the object
| constructor (AbstractDatasource ds, *hash< auto > opts, *LoggerInterface logger)
| creates the object
| constructor (hash< auto > options, *LoggerInterface logger)
| Creates the object from constructor options.
int | doSequenceCurrvalKey (string sequence_name, hash< auto > ctx, *reference< bool > missing_input)
| Processes the `sequence_currval` runtime key in mappers as a mapper key handler.
int | doSequenceKey (string sequence_name, hash< auto > ctx, *reference< bool > missing_input)
| Processes the `sequence` runtime key in mappers as a mapper key handler.
*hash< string, hash< MapperRuntimeKeyInfo > > | getMapperRuntimeKeys ()
| Returns custom data mapper runtime keys.
hash< auto > | makeTableDesc (string name, hash< string, AbstractDataField > fields, *hash< auto > opts)
| Returns a table description hash from a field description.
bool | requiresTransactionManagement ()
| Returns True if the data provider supports transaction management.
| rollback ()
| Rolls back any transaction in progress in the datasource.

## Public Attributes
const | ProviderInfo = ...
| Provider info.
const | ProviderSummaryInfo = ...
| Provider summary info.
const | RequestType = ExecSqlRequestType
| Request type.
const | ResponseType = ExecSqlResponseType
| Response type.

## Protected Member Functions
auto | doRequestImpl (auto req, *hash< auto > request_options)
| Makes a request and returns the response.
*AbstractDataProviderType | getRequestTypeImpl ()
| Returns the description of a successful request message, if any.
*AbstractDataProviderType | getResponseTypeImpl ()
| Returns the description of a response message, if this object represents a response message.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Additional Inherited Members
Static Public Member Functions inherited from DbDataProvider::DbDataProviderBase
static hash< GenericColumnInfo > | getColumnDesc (AbstractDatabase db, AbstractDataField field, *hash< auto > opts)
| Returns a column description hash for a field.
static AbstractDatasource | getDatasource (AbstractDatasource ds)
| Returns the given AbstractDatasource object.
static AbstractDatasource | getDatasource (string ds_string)
| Returns an AbstractDatasource object from the given string.
static AbstractTable | getTable (AbstractDatasource ds, string table_string)
| Returns an AbstractTable object from the given datasource and table arguments.
static AbstractTable | getTable (string ds_string, string table_string)
| Returns an AbstractTable object from the given datasource and table strings.
static | setDatasourceLookup (code datasource_lookup)
| Sets the datasource lookup.
static | setTableLookup (code table_lookup)
| Sets the table lookup.
Protected Attributes inherited from DbDataProvider::DbDataProviderBase
const | ConstructorOptions = ...
| Constructor options.
AbstractDatabase | db
| the database object, if required
const | MapperKeyInfo = ...
| Mapper runtime key info; see details below.
Static Protected Attributes inherited from DbDataProvider::DbDataProviderBase
static *code | datasource_lookup
| Lookup to get an abstract datasource from a name.
static *code | table_lookup
| Lookup to get an abstract table from a datasource and a name.

## Detailed Description

DB exec data provider.

## Member Function Documentation

## ◆ doRequestImpl()

auto DbDataProvider::DbExecSqlDataProvider::doRequestImpl | ( | auto | req,
|  | *hash< auto > | request_options )
| protected

Makes a request and returns the response.

Parameters

  req | the request info
  request_options | the request options after processing by validateRequestOptions()

Returns
  the response to the request

## ◆ getRequestTypeImpl()

*AbstractDataProviderType DbDataProvider::DbExecSqlDataProvider::getRequestTypeImpl | ( |  | ) |
| protected

Returns the description of a successful request message, if any.

Returns
  the request type for this provider

## ◆ getResponseTypeImpl()

*AbstractDataProviderType DbDataProvider::DbExecSqlDataProvider::getResponseTypeImpl | ( |  | ) |
| protected

Returns the description of a response message, if this object represents a response message.

Returns
  the response type for this response message